Index: orxonox/trunk/core/data_tank.cc
===================================================================
--- orxonox/trunk/core/data_tank.cc	(revision 1853)
+++ orxonox/trunk/core/data_tank.cc	(revision 1855)
@@ -9,4 +9,7 @@
    the Free Software Foundation; either version 2, or (at your option)
    any later version.
+
+   Copyright by: Patrick Boenzli
+   Fixes by:
 */
 
Index: orxonox/trunk/core/npc.cc
===================================================================
--- orxonox/trunk/core/npc.cc	(revision 1853)
+++ orxonox/trunk/core/npc.cc	(revision 1855)
@@ -10,4 +10,8 @@
    the Free Software Foundation; either version 2, or (at your option)
    any later version.
+
+   ### File Specific:
+   main-programmer: Patrick Boenzli
+   co-programmer:
 */
 
Index: orxonox/trunk/core/npc.h
===================================================================
--- orxonox/trunk/core/npc.h	(revision 1853)
+++ orxonox/trunk/core/npc.h	(revision 1855)
@@ -10,4 +10,6 @@
   ~NPC ();
 
+  int npcType;
+
 };
 
Index: orxonox/trunk/core/orxonox.cc
===================================================================
--- orxonox/trunk/core/orxonox.cc	(revision 1853)
+++ orxonox/trunk/core/orxonox.cc	(revision 1855)
@@ -18,4 +18,8 @@
    Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  
 
+
+   ### File Specific:
+   main-programmer: Patrick Boenzli
+   co-programmer:
 */
 
Index: orxonox/trunk/core/proto_class.cc
===================================================================
--- orxonox/trunk/core/proto_class.cc	(revision 1853)
+++ orxonox/trunk/core/proto_class.cc	(revision 1855)
@@ -10,4 +10,8 @@
    the Free Software Foundation; either version 2, or (at your option)
    any later version.
+
+   ### File Specific:
+   main-programmer: ...
+   co-programmer: ...
 */
 
Index: orxonox/trunk/core/stdincl.h
===================================================================
--- orxonox/trunk/core/stdincl.h	(revision 1855)
+++ orxonox/trunk/core/stdincl.h	(revision 1855)
@@ -0,0 +1,7 @@
+
+#ifndef STDINCL_H
+#define STDINCL_H
+
+#define null 0
+
+#endif
Index: orxonox/trunk/core/world.cc
===================================================================
--- orxonox/trunk/core/world.cc	(revision 1853)
+++ orxonox/trunk/core/world.cc	(revision 1855)
@@ -10,4 +10,8 @@
    the Free Software Foundation; either version 2, or (at your option)
    any later version.
+
+   ### File Specific:
+   main-programmer: Patrick Boenzli
+   co-programmer:
 */
 
@@ -19,7 +23,7 @@
 
 World::World () {
-  
+  lastPlayer = null;
+  lastPlayer->nextPlayer = null;
 }
-
 
 
@@ -27,2 +31,33 @@
 
 
+/** 
+   \brief Add Player
+   \param player A reference to the new player object
+   
+   Add a new Player to the game. Player has to be initialised previously 
+*/
+bool World::addPlayer(Player* player) 
+{
+  playerList* listMember = new playerList;
+  listMember->nextPlayer = lastPlayer;
+  listMember->player = player;
+  listMember->playerNr = lastPlayer->playerNr + 1;
+  lastPlayer = listMember;
+}
+
+
+
+/** 
+   \brief Routine for testing purposes.
+   
+   testing, testing, testing...
+*/
+boot World::testRouting() 
+{
+
+}
+
+bool World::removePlayer(Player* player) {}
+
+bool World::addNPC(NPC* npc) {}
+bool World::removeNPC(NPC* npc) {}
Index: orxonox/trunk/core/world.h
===================================================================
--- orxonox/trunk/core/world.h	(revision 1853)
+++ orxonox/trunk/core/world.h	(revision 1855)
@@ -2,4 +2,5 @@
 #include "npc.h"
 #include "player.h"
+#include "stdincl.h"
 
 #ifndef WORLD_H
@@ -13,15 +14,31 @@
   ~World ();
 
+  /* for easier use: map the first two player here */
   Player *player1;
+  Player *player2;
 
-  struct player_list {
-    player_list* next_player;
+  /* a list of all players */
+  struct playerList {
+    playerList* nextPlayer;
     Player* player;
+    int playerNr;
   };
+  playerList* lastPlayer;
 
-  struct npc_list {
-    npc_list* next_npc;
+  /* a list of all non-player-characters */
+  struct npcList {
+    npcList* nextNPC;
     NPC* npc;
   };
+  npcList* firstNPC;
+
+  bool addPlayer(Player* player);
+  bool removePlayer(Player* player);
+
+  bool addNPC(NPC* npc);
+  bool removeNPC(NPC* npc);
+
+
+
 
 };