Index: orxonox/trunk/doc/orxonox.1
===================================================================
--- orxonox/trunk/doc/orxonox.1	(revision 1861)
+++ orxonox/trunk/doc/orxonox.1	(revision 1861)
@@ -0,0 +1,56 @@
+.\"                              hey, Emacs:   -*- nroff -*-
+.\" orxonox is free software; you can redistribute it and/or modify
+.\" it under the terms of the GNU General Public License as published by
+.\" the Free Software Foundation; either version 2 of the License, or
+.\" (at your option) any later version.
+.\"
+.\" This program is distributed in the hope that it will be useful,
+.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
+.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+.\" GNU General Public License for more details.
+.\"
+.\" You should have received a copy of the GNU General Public License
+.\" along with this program; see the file COPYING.  If not, write to
+.\" the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
+.\"
+.TH ORXONOX 1 "April 13, 2004"
+.\" Please update the above date whenever this man page is modified.
+.\"
+.\" Some roff macros, for reference:
+.\" .nh        disable hyphenation
+.\" .hy        enable hyphenation
+.\" .ad l      left justify
+.\" .ad b      justify to both left and right margins (default)
+.\" .nf        disable filling
+.\" .fi        enable filling
+.\" .br        insert line break
+.\" .sp <n>    insert n+1 empty lines
+.\" for manpage-specific macros, see man(7)
+.SH NAME
+orxonox \- the future of 3D-vertical-scrollers
+.SH SYNOPSIS
+.B orxonox
+.RI [ options ]
+.SH DESCRIPTION
+\fBorxonox\fP washes your windows, mends your fences, mows your lawn...
+.PP
+It also...
+.SH OPTIONS
+\fBorxonox\fP accepts the following options:
+.TP
+.BR  -q , " --quiet" , " --silent"
+Inhibit usual output.
+.TP
+.B  -v, --verbose
+Print more information.
+.TP
+.B \-h, \-\-help
+Show summary of options.
+.TP
+.B \-V, \-\-version
+Show version of program.
+.\" .SH "SEE ALSO"
+.\" .BR foo (1), 
+.\" .BR bar (1).
+.SH AUTHOR
+orx <orxonox-announce@mail.datacore.ch>.
Index: orxonox/trunk/orxonox.1
===================================================================
--- orxonox/trunk/orxonox.1	(revision 1860)
+++ 	(revision )
@@ -1,56 +1,0 @@
-.\"                              hey, Emacs:   -*- nroff -*-
-.\" orxonox is free software; you can redistribute it and/or modify
-.\" it under the terms of the GNU General Public License as published by
-.\" the Free Software Foundation; either version 2 of the License, or
-.\" (at your option) any later version.
-.\"
-.\" This program is distributed in the hope that it will be useful,
-.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
-.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-.\" GNU General Public License for more details.
-.\"
-.\" You should have received a copy of the GNU General Public License
-.\" along with this program; see the file COPYING.  If not, write to
-.\" the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
-.\"
-.TH ORXONOX 1 "April 13, 2004"
-.\" Please update the above date whenever this man page is modified.
-.\"
-.\" Some roff macros, for reference:
-.\" .nh        disable hyphenation
-.\" .hy        enable hyphenation
-.\" .ad l      left justify
-.\" .ad b      justify to both left and right margins (default)
-.\" .nf        disable filling
-.\" .fi        enable filling
-.\" .br        insert line break
-.\" .sp <n>    insert n+1 empty lines
-.\" for manpage-specific macros, see man(7)
-.SH NAME
-orxonox \- the future of 3D-vertical-scrollers
-.SH SYNOPSIS
-.B orxonox
-.RI [ options ]
-.SH DESCRIPTION
-\fBorxonox\fP washes your windows, mends your fences, mows your lawn...
-.PP
-It also...
-.SH OPTIONS
-\fBorxonox\fP accepts the following options:
-.TP
-.BR  -q , " --quiet" , " --silent"
-Inhibit usual output.
-.TP
-.B  -v, --verbose
-Print more information.
-.TP
-.B \-h, \-\-help
-Show summary of options.
-.TP
-.B \-V, \-\-version
-Show version of program.
-.\" .SH "SEE ALSO"
-.\" .BR foo (1), 
-.\" .BR bar (1).
-.SH AUTHOR
-orx <orxonox-announce@mail.datacore.ch>.