Index: orxonox/branches/showroom/Showroom/3dStructs.cpp
===================================================================
--- orxonox/branches/showroom/Showroom/3dStructs.cpp	(revision 1895)
+++ orxonox/branches/showroom/Showroom/3dStructs.cpp	(revision 1901)
@@ -3,6 +3,7 @@
 
 /* Debugging*/
-#include <iostream.h>
+#include <iostream>
 
+using namespace std;
 
 void C3dModel::Draw(int g_ViewMode)
@@ -70,5 +71,6 @@
 						{
 							// Get and set the color that the object is, since it must not have a texture
-							BYTE *pColor = pMaterials[pObject[i].materialID].color;
+							/* linuxFix pb: BYTE not knonw */
+							int *pColor = pMaterials[pObject[i].materialID].color;
 
 							// Assign the current color to this model
Index: orxonox/branches/showroom/Showroom/3dStructs.h
===================================================================
--- orxonox/branches/showroom/Showroom/3dStructs.h	(revision 1895)
+++ orxonox/branches/showroom/Showroom/3dStructs.h	(revision 1901)
@@ -40,5 +40,6 @@
 	char  strName[255];		/* The texture name */
 	char  strFile[255];		/* The texture file name */
-	BYTE  color[3];			/* The color of the object (R, G, B) */
+	/* pb fix: BYTE -> int */
+	int  color[3];			/* The color of the object (R, G, B) */
 	int   texureId;			/* the texture ID */
 	float uTile;				/* u tiling of texture  (Currently not used) */
Index: orxonox/branches/showroom/Showroom/3dUnit.cpp
===================================================================
--- orxonox/branches/showroom/Showroom/3dUnit.cpp	(revision 1895)
+++ orxonox/branches/showroom/Showroom/3dUnit.cpp	(revision 1901)
@@ -52,5 +52,5 @@
    /* Draws the Model. If none has been loaded, print an error */
    if( b3dModelLoaded ) CModel.Draw( mode );
-   else printf( "No Model for Unit %s loaded!", sName );   
+   else printf( "No Model for Unit %s loaded!\n", sName );   
 }
 
@@ -60,5 +60,5 @@
    if( b3dModelLoaded )
       CModel.PrintProperties();
-   else printf( "No Model for Unit %s loaded!", sName );
+   else printf( "No Model for Unit %s loaded!\n", sName );
 }
 
Index: orxonox/branches/showroom/Showroom/3ds.cpp
===================================================================
--- orxonox/branches/showroom/Showroom/3ds.cpp	(revision 1895)
+++ orxonox/branches/showroom/Showroom/3ds.cpp	(revision 1901)
@@ -56,5 +56,6 @@
 	{
 		sprintf(strMessage, "Unable to find the file: %s!", strFileName);
-		MessageBox(NULL, strMessage, "Error", MB_OK);
+		/* linuxFix by pb: no MessageBox known by linux */
+		//MessageBox(NULL, strMessage, "Error", MB_OK);
 		return false;
 	}
@@ -71,5 +72,6 @@
 	{
 		sprintf(strMessage, "Unable to load PRIMARY chuck from file: %s!", strFileName);
-		MessageBox(NULL, strMessage, "Error", MB_OK);
+		/* linuxFix by pb: MessageBox not known... */
+		//MessageBox(NULL, strMessage, "Error", MB_OK);
 		return false;
 	}
@@ -146,5 +148,7 @@
 			// If the file version is over 3, give a warning that there could be a problem
 			if ((currentChunk.length - currentChunk.bytesRead == 4) && (gBuffer[0] > 0x03)) {
-				MessageBox(NULL, "This 3DS file is over version 3 so it may load incorrectly", "Warning", MB_OK);
+			/* linuxFix by pb: MessageBox not know, using cout */
+				//MessageBox(NULL, "This 3DS file is over version 3 so it may load incorrectly", "Warning", MB_OK);
+				 //sprintf("This 3DS file is over version 3 so it may load incorrectly");
 			}
 			break;
Index: orxonox/branches/showroom/Showroom/Makefile
===================================================================
--- orxonox/branches/showroom/Showroom/Makefile	(revision 1901)
+++ orxonox/branches/showroom/Showroom/Makefile	(revision 1901)
@@ -0,0 +1,85 @@
+
+CC = gcc
+CXX = g++
+APP_LIB_DEPS = -lglut -lGLU -lGL -lm -L/usr/X11R6/lib -lXt -lX11
+GL_LIB = libGL.so
+GLU_LIB = libGLU.so
+GLUT_LIB = libglut.so
+GLW_LIB = libGLw.so
+OSMESA_LIB = libOSMesa.so
+
+CFLAGS = -O3 -pedantic -fPIC -ffast-math -I/usr/X11R6/include
+CXXFLAGS = -fPIC -O3
+GLUT_CFLAGS = -fexceptions
+
+TOP = ../..
+INCDIR = /usr/Mesa-6.0.1/include
+LIBDIR = /usr/Mesa-6.0.1/lib
+
+LIBS = -L$(LIBDIR) $(APP_LIB_DEPS)
+
+OSMESA_LIBS = -L$(LIBDIR) -lglut -lOSMesa -lGLU -lGL $(APP_LIB_DEPS)
+
+LIB_DEP = $(LIBDIR)/$(GL_LIB) $(LIBDIR)/$(GLU_LIB) $(LIBDIR)/$(GLUT_LIB)
+
+PROGS = \
+	orxonox 
+
+HEADERS = \
+	orxonox.h \
+	data_core.h
+	
+SOURCES = \
+	orxonox.cc \
+	data_core.cc
+
+OBJECTS = \
+	showroom.o \
+	3ds.o \
+	3dUnit.o \
+	3dStructs.o
+
+TARGET = showroom
+
+.SUFFIXES:
+.SUFFIXES: .cpp .o
+
+#.cc: $(LIB_DEP)
+#	$(CXX) -I$(INCDIR) $(CFLAGS) $< $(LIBS) -o $@
+
+.cpp.o:
+	@ echo "$@ wird kompiliert..."
+	@ $(CXX) -c $(CFLAGS) -I$(INCDIR) -o $@ $<
+
+
+#### build
+
+all: $(TARGET)
+
+$(TARGET): $(OBJECTS)
+	@ echo "showroom wird gelinkt..."
+	@ $(CXX) $(LIBS) -o $(TARGET) $(OBJECTS)
+
+
+help:
+	@echo "Cleaning targets:"
+	@echo "  clean		- remove most generated files"
+	@echo ""
+	@echo "Generic targets:"
+	@echo "  all		- Build all targets"
+	@echo ""
+	@echo "For further info see the README file"
+	
+clean:
+	rm -rf *.o *~
+
+
+####compile
+
+#orxonox.o: orxonox.cc \
+#		orxonox.h
+
+#data_tank.o: data_tank.cc \
+#		data_tank.h	
+	
+#EOF
Index: orxonox/branches/showroom/Showroom/linuxFixesPB.txt
===================================================================
--- orxonox/branches/showroom/Showroom/linuxFixesPB.txt	(revision 1901)
+++ orxonox/branches/showroom/Showroom/linuxFixesPB.txt	(revision 1901)
@@ -0,0 +1,28 @@
+
+
+3dUnit.cpp
+==========
+Line 54: - not critical - added newline to end of output
+Line 62: - not cricital - added newline to end of output
+
+3dStructs.h
+===========
+Line 43: - warning - Type BYTE not recognized: changed to int
+
+3dStructs.cpp
+=============
+Line 31: - not critical - including <iostream> and using namespace std
+Line 74: - important - changed BYTE* to int*
+
+3ds.cpp
+========
+Line 58: - not critical - No MessageBox known by linux... commented out
+Line 74: - not critical - No MessageBox known by linux... commented out
+Line 148: - important - No MessageBox known by linux... commented out,
+using cout instead
+
+showroom.cpp
+============
+Line 114: - important - main added
+
+
Index: orxonox/branches/showroom/Showroom/showroom.cpp
===================================================================
--- orxonox/branches/showroom/Showroom/showroom.cpp	(revision 1895)
+++ orxonox/branches/showroom/Showroom/showroom.cpp	(revision 1901)
@@ -109,2 +109,12 @@
     glMatrixMode( GL_MODELVIEW);
 }
+
+
+
+int main(int argc, char** argv )
+{
+    showroom(argc, argv);
+    return 0;
+}
+
+