Index: /code/branches/physics/src/ogreode/OgreOdeBody.cpp
===================================================================
--- /code/branches/physics/src/ogreode/OgreOdeBody.cpp	(revision 1922)
+++ /code/branches/physics/src/ogreode/OgreOdeBody.cpp	(revision 1923)
@@ -1,7 +1,9 @@
-
 #include "OgreOdePrecompiledHeaders.h"
+#include "OgreOdeBody.h"
+
+#include <OgreStringConverter.h>
+#include <OgreSceneManager.h>
 
 #include "OgreOdeWorld.h"
-#include "OgreOdeBody.h"
 #include "OgreOdeMass.h"
 #include "OgreOdeDebugObject.h"
Index: /code/branches/physics/src/ogreode/OgreOdeBody.h
===================================================================
--- /code/branches/physics/src/ogreode/OgreOdeBody.h	(revision 1922)
+++ /code/branches/physics/src/ogreode/OgreOdeBody.h	(revision 1923)
@@ -3,4 +3,9 @@
 
 #include "OgreOdePreReqs.h"
+#include <OgreUserDefinedObject.h>
+#include <OgreMovableObject.h>
+#include <OgreAxisAlignedBox.h>
+#include <OgreSceneQuery.h>
+#include <OgreSceneNode.h>
 
 namespace OgreOde 
Index: /code/branches/physics/src/ogreode/OgreOdeCollision.cpp
===================================================================
--- /code/branches/physics/src/ogreode/OgreOdeCollision.cpp	(revision 1922)
+++ /code/branches/physics/src/ogreode/OgreOdeCollision.cpp	(revision 1923)
@@ -1,6 +1,5 @@
-
 #include "OgreOdePrecompiledHeaders.h"
-
 #include "OgreOdeCollision.h"
+
 #include "OgreOdeSpace.h"
 #include "OgreOdeGeometry.h"
Index: /code/branches/physics/src/ogreode/OgreOdeCollision.h
===================================================================
--- /code/branches/physics/src/ogreode/OgreOdeCollision.h	(revision 1922)
+++ /code/branches/physics/src/ogreode/OgreOdeCollision.h	(revision 1923)
@@ -3,4 +3,5 @@
 
 #include "OgreOdePreReqs.h"
+#include <OgreVector3.h>
 
 namespace OgreOde 
Index: /code/branches/physics/src/ogreode/OgreOdeDebugContact.cpp
===================================================================
--- /code/branches/physics/src/ogreode/OgreOdeDebugContact.cpp	(revision 1922)
+++ /code/branches/physics/src/ogreode/OgreOdeDebugContact.cpp	(revision 1923)
@@ -9,12 +9,14 @@
 
 #include "OgreOdePrecompiledHeaders.h"
-
-#include "Ogre.h"
-#include "OgreFontManager.h"
-
 #include "OgreOdeDebugContact.h"
+
+#include <OgreFontManager.h>
+#include <OgreEntity.h>
+#include <OgreSceneNode.h>
+#include <OgreMaterialManager.h>
+#include <OgreCamera.h>
+#include <OgreRoot.h>
+
 #include "OgreOdeCollision.h"
-#include "OgreOdeGeometry.h"
-#include "OgreOdeBody.h"
 #include "OgreOdeWorld.h"
 
Index: /code/branches/physics/src/ogreode/OgreOdeDebugContact.h
===================================================================
--- /code/branches/physics/src/ogreode/OgreOdeDebugContact.h	(revision 1922)
+++ /code/branches/physics/src/ogreode/OgreOdeDebugContact.h	(revision 1923)
@@ -12,4 +12,8 @@
 
 #include "OgreOdePreReqs.h"
+
+#include <OgreMovableObject.h>
+#include <OgreRenderable.h>
+#include <OgreAxisAlignedBox.h>
 #include "OgreOdeDebugObject.h"
 
Index: /code/branches/physics/src/ogreode/OgreOdeDebugObject.cpp
===================================================================
--- /code/branches/physics/src/ogreode/OgreOdeDebugObject.cpp	(revision 1922)
+++ /code/branches/physics/src/ogreode/OgreOdeDebugObject.cpp	(revision 1923)
@@ -1,6 +1,9 @@
-
 #include "OgreOdePrecompiledHeaders.h"
-
 #include "OgreOdeDebugObject.h"
+
+#include <OgreMaterialManager.h>
+#include <OgreTechnique.h>
+#include <OgreCamera.h>
+#include <OgreHardwareBufferManager.h>
 
 using namespace OgreOde;
Index: /code/branches/physics/src/ogreode/OgreOdeDebugObject.h
===================================================================
--- /code/branches/physics/src/ogreode/OgreOdeDebugObject.h	(revision 1922)
+++ /code/branches/physics/src/ogreode/OgreOdeDebugObject.h	(revision 1923)
@@ -3,4 +3,6 @@
 
 #include "OgreOdePreReqs.h"
+
+#include <OgreSimpleRenderable.h>
 
 namespace OgreOde
Index: /code/branches/physics/src/ogreode/OgreOdeEigenSolver.cpp
===================================================================
--- /code/branches/physics/src/ogreode/OgreOdeEigenSolver.cpp	(revision 1922)
+++ /code/branches/physics/src/ogreode/OgreOdeEigenSolver.cpp	(revision 1923)
@@ -1,5 +1,3 @@
-
 #include "OgreOdePrecompiledHeaders.h"
-
 #include "OgreOdeEigenSolver.h"
 
Index: /code/branches/physics/src/ogreode/OgreOdeEigenSolver.h
===================================================================
--- /code/branches/physics/src/ogreode/OgreOdeEigenSolver.h	(revision 1922)
+++ /code/branches/physics/src/ogreode/OgreOdeEigenSolver.h	(revision 1923)
@@ -3,4 +3,6 @@
 
 #include "OgreOdePreReqs.h"
+
+#include <OgreMatrix3.h>
 
 namespace OgreOde 
Index: /code/branches/physics/src/ogreode/OgreOdeEntityInformer.cpp
===================================================================
--- /code/branches/physics/src/ogreode/OgreOdeEntityInformer.cpp	(revision 1922)
+++ /code/branches/physics/src/ogreode/OgreOdeEntityInformer.cpp	(revision 1923)
@@ -1,25 +1,18 @@
 #include "OgreOdePrecompiledHeaders.h"
-
 #include "OgreOdeEntityInformer.h"
-#include "OgreOdeMaintainedList.h"
+
+#include <OgreEntity.h>
+#include <OgreSubEntity.h>
+#include <OgreSceneNode.h>
+#include <OgreSubMesh.h>
+#include <OgreLogManager.h>
+#include <OgreSkeletonInstance.h>
+#include <OgreBone.h>
+
 #include "OgreOdeBody.h"
 #include "OgreOdeGeometry.h"
 #include "OgreOdeMass.h"
 #include "OgreOdeEigenSolver.h"
-
 #include "OgreOdeTriangleMeshDataManager.h"
-
-using namespace OgreOde;
-using namespace Ogre;
-
-
-#include "OgreOdePrecompiledHeaders.h"
-
-#include "OgreOdeEntityInformer.h"
-#include "OgreOdeMaintainedList.h"
-#include "OgreOdeBody.h"
-#include "OgreOdeGeometry.h"
-#include "OgreOdeMass.h"
-#include "OgreOdeEigenSolver.h"
 
 using namespace OgreOde;
Index: /code/branches/physics/src/ogreode/OgreOdeEntityInformer.h
===================================================================
--- /code/branches/physics/src/ogreode/OgreOdeEntityInformer.h	(revision 1922)
+++ /code/branches/physics/src/ogreode/OgreOdeEntityInformer.h	(revision 1923)
@@ -3,4 +3,6 @@
 
 #include "OgreOdePreReqs.h"
+
+#include <OgreMesh.h>
 #include "OgreOdeTriangleMeshData.h"
 
Index: /code/branches/physics/src/ogreode/OgreOdeFrameListener.h
===================================================================
--- /code/branches/physics/src/ogreode/OgreOdeFrameListener.h	(revision 1922)
+++ /code/branches/physics/src/ogreode/OgreOdeFrameListener.h	(revision 1923)
@@ -8,4 +8,8 @@
 #define _PHYSICSFRAMELISTENER_H_
 
+#include "OgreOdePreReqs.h"
+#include <OgreSceneQuery.h>
+#include <OgreFrameListener.h>
+
 // Uncomment this if you're planning to use the Plane2D joint
 // But you'll have to have modified ODE first!
@@ -15,5 +19,5 @@
 A physical thing
 */
-class PhysicalThing : public RaySceneQueryListener
+class PhysicalThing : public Ogre::RaySceneQueryListener
 {
 public:
@@ -23,17 +27,17 @@
 
 	// Just create geoms
-    void makePlane(Real a,Real b,Real c,Real d);				// Plane
-    void makeBox(Real x,Real y,Real z,Real lx,Real ly,Real lz);	// Box
-    void makeSphere(Real x,Real y,Real z,Real r);				// Sphere
+    void makePlane(Ogre::Real a, Ogre::Real b, Ogre::Real c, Ogre::Real d);				// Plane
+    void makeBox(Ogre::Real x, Ogre::Real y, Ogre::Real z, Ogre::Real lx, Ogre::Real ly, Ogre::Real lz);	// Box
+    void makeSphere(Ogre::Real x, Ogre::Real y, Ogre::Real z, Ogre::Real r);				// Sphere
 
 	// Create bodies and geoms
-    void makePlane(dWorld *world,SceneNode *node);
-	void makeBox(dWorld *world,SceneNode *node,Real mass = 1,Vector3 const &offs = Vector3(0,0,0));
-    void makeSphere(dWorld *world,SceneNode *node,Real mass = 1);
-	void makeTerrainTriMesh(dWorld *world,SceneManager *mgr,Real grid_size,Real grid_spacing);
+    void makePlane(dWorld *world, Ogre::SceneNode *node);
+	void makeBox(dWorld *world, Ogre::SceneNode *node, Ogre::Real mass = 1, Ogre::Vector3 const &offs = Ogre::Vector3(0,0,0));
+    void makeSphere(dWorld *world, Ogre::SceneNode *node, Ogre::Real mass = 1);
+	void makeTerrainTriMesh(dWorld *world, Ogre::SceneManager *mgr, Ogre::Real grid_size, Ogre::Real grid_spacing);
 
 	// Callback functions for the ray scene query functionality
-	virtual bool queryResult(SceneQuery::WorldFragment *fragment,Real distance);
-	virtual bool queryResult(MovableObject *obj,Real distance);
+	virtual bool queryResult(Ogre::SceneQuery::WorldFragment *fragment, Ogre::Real distance);
+	virtual bool queryResult(Ogre::MovableObject *obj, Ogre::Real distance);
 
 	// Update the position and orientation of the scene node we're controlling
@@ -41,5 +45,5 @@
 
 	// Utility functions to get at internal stuff
-	SceneNode *getNode(void);
+	Ogre::SceneNode *getNode(void);
 	dBodyID getBodyID(void);
 	dSpaceID getSpaceID(void);
@@ -49,7 +53,7 @@
 	dBody		*_body;
 	dSpace		*_space;
-	SceneNode	*_node;
+	Ogre::SceneNode	*_node;
 
-	std::list<Vector3> _frag;
+	std::list<Ogre::Vector3> _frag;
 
 	dVector3 *_vertices;
@@ -60,5 +64,5 @@
 A Frame listener that implements the physics
 */
-class PhysicsFrameListener : public FrameListener
+class PhysicsFrameListener : public Ogre::FrameListener
 {
 protected:
@@ -76,9 +80,9 @@
     
 	// Adjustable variables
-    Real total_time,step_size;
-	Real k_spring,k_damper,k_tyre,k_mu,k_erp,k_cfm;
+    Ogre::Real total_time,step_size;
+	Ogre::Real k_spring,k_damper,k_tyre,k_mu,k_erp,k_cfm;
 
 	// Utility function to find the physical thing associated with an Ogre scene node
-	dBodyID getBodyID(SceneNode *node);
+	dBodyID getBodyID(Ogre::SceneNode *node);
 
 public:
@@ -88,5 +92,5 @@
 
 	// Tell us when every frame's about to be started
-    bool frameStarted(const FrameEvent& evt);
+    bool frameStarted(const Ogre::FrameEvent& evt);
 	void pause(bool p = true);
 
@@ -98,7 +102,7 @@
 	// Create things manually, no physical bodies 
 	// so they won't move, but things will collide with them
-    PhysicalThing *createPlane(Real a,Real b,Real c,Real d);
-    PhysicalThing *createBox(Real x,Real y,Real z,Real lx,Real ly,Real lz);
-    PhysicalThing *createSphere(Real x,Real y,Real z,Real r);
+    PhysicalThing *createPlane(Ogre::Real a,Ogre::Real b,Ogre::Real c,Ogre::Real d);
+    PhysicalThing *createBox(Ogre::Real x,Ogre::Real y,Ogre::Real z,Ogre::Real lx,Ogre::Real ly,Ogre::Real lz);
+    PhysicalThing *createSphere(Ogre::Real x,Ogre::Real y,Ogre::Real z,Ogre::Real r);
 
 	// Create objects based on Ogre nodes, these nodes will then
@@ -107,8 +111,8 @@
 	// Except for the plane, which can't actually be a physical body
 	// and the trimesh which we're not going to allow to be a physical body
-    PhysicalThing *createPlane(SceneNode *node);
-	PhysicalThing *createBox(SceneNode *node,Real mass = 1,Vector3 const &offs = Vector3(0,0,0));
-    PhysicalThing *createSphere(SceneNode *node,Real mass = 1);
-	PhysicalThing *createTerrainTriMesh(SceneManager *mgr,Real grid_size,Real grid_spacing);
+    PhysicalThing *createPlane(Ogre::SceneNode *node);
+	PhysicalThing *createBox(Ogre::SceneNode *node,Ogre::Real mass = 1,Ogre::Vector3 const &offs = Ogre::Vector3(0,0,0));
+    PhysicalThing *createSphere(Ogre::SceneNode *node,Ogre::Real mass = 1);
+	PhysicalThing *createTerrainTriMesh(Ogre::SceneManager *mgr,Ogre::Real grid_size,Ogre::Real grid_spacing);
 
 	// Create and activate a new space inside the standard hash space
@@ -120,26 +124,26 @@
 	// The order of n1/n2 does matter; n1 is what you want attaching
 	// and n2 is what you want it attaching to
-	dJoint *createHinge2(SceneNode *n1,SceneNode *n2,const Vector3 &suspension = Vector3(0,1,0),const Vector3 &axle = Vector3(1,0,0));
-	dJoint *createHinge(SceneNode *n1,SceneNode *n2,const Vector3 &axis = Vector3(1,0,0));
-	dJoint *createSlider(SceneNode *n1,SceneNode *n2,const Vector3 &axis = Vector3(0,1,0));
-	dJoint *createBall(SceneNode *n1,SceneNode *n2);
+	dJoint *createHinge2(Ogre::SceneNode *n1,Ogre::SceneNode *n2,const Ogre::Vector3 &suspension = Ogre::Vector3(0,1,0),const Ogre::Vector3 &axle = Ogre::Vector3(1,0,0));
+	dJoint *createHinge(Ogre::SceneNode *n1,Ogre::SceneNode *n2,const Ogre::Vector3 &axis = Ogre::Vector3(1,0,0));
+	dJoint *createSlider(Ogre::SceneNode *n1,Ogre::SceneNode *n2,const Ogre::Vector3 &axis = Ogre::Vector3(0,1,0));
+	dJoint *createBall(Ogre::SceneNode *n1,Ogre::SceneNode *n2);
 #ifdef INCLUDE_PLANE2D_JOINT
-	dJoint *createPlane2D(SceneNode *n);
+	dJoint *createPlane2D(Ogre::SceneNode *n);
 #endif
 
 	// Apply forces to a body under our control
-	void addTorque(SceneNode *n,const Vector3 &force);
+	void addTorque(Ogre::SceneNode *n,const Ogre::Vector3 &force);
 
 	// Set the parameters used for the CFM/ERP joint parameters
-	void setSuspension(Real spring,Real damper);
+	void setSuspension(Ogre::Real spring,Ogre::Real damper);
 
 	// Set the acceleration due to gravity
-	void setGravity(Real g);
+	void setGravity(Ogre::Real g);
 
 	// Get our constants
-	Real getTyre(void){return k_tyre;};
-	Real getMu(void){return k_mu;};
-	Real getCFM(void){return k_cfm;};
-	Real getERP(void){return k_erp;};
+	Ogre::Real getTyre(void){return k_tyre;};
+	Ogre::Real getMu(void){return k_mu;};
+	Ogre::Real getCFM(void){return k_cfm;};
+	Ogre::Real getERP(void){return k_erp;};
 
 	// Static function for ODE to call when collisions (potentially) occur
Index: /code/branches/physics/src/ogreode/OgreOdeGeometry.cpp
===================================================================
--- /code/branches/physics/src/ogreode/OgreOdeGeometry.cpp	(revision 1922)
+++ /code/branches/physics/src/ogreode/OgreOdeGeometry.cpp	(revision 1923)
@@ -1,6 +1,9 @@
-
 #include "OgreOdePrecompiledHeaders.h"
-
 #include "OgreOdeGeometry.h"
+
+#include <OgreSceneNode.h>
+#include <OgreSceneManager.h>
+#include <OgreStringConverter.h>
+
 #include "OgreOdeWorld.h"
 #include "OgreOdeSpace.h"
Index: /code/branches/physics/src/ogreode/OgreOdeGeometry.h
===================================================================
--- /code/branches/physics/src/ogreode/OgreOdeGeometry.h	(revision 1922)
+++ /code/branches/physics/src/ogreode/OgreOdeGeometry.h	(revision 1923)
@@ -3,6 +3,8 @@
 
 #include "OgreOdePreReqs.h"
-#include "OgreOdeMaintainedList.h"
-
+
+#include <OgreUserDefinedObject.h>
+#include <OgreMovableObject.h>
+#include <OgreSceneQuery.h>
 #include "OgreOdeTriangleMeshData.h"
 
Index: /code/branches/physics/src/ogreode/OgreOdeJoint.cpp
===================================================================
--- /code/branches/physics/src/ogreode/OgreOdeJoint.cpp	(revision 1922)
+++ /code/branches/physics/src/ogreode/OgreOdeJoint.cpp	(revision 1923)
@@ -1,10 +1,8 @@
-
 #include "OgreOdePrecompiledHeaders.h"
-
-#include "OgreOdeGeometry.h"
+#include "OgreOdeJoint.h"
+
 #include "OgreOdeWorld.h"
 #include "OgreOdeBody.h"
 #include "OgreOdeGeometry.h"
-#include "OgreOdeJoint.h"
 
 using namespace OgreOde;
Index: /code/branches/physics/src/ogreode/OgreOdeJoint.h
===================================================================
--- /code/branches/physics/src/ogreode/OgreOdeJoint.h	(revision 1922)
+++ /code/branches/physics/src/ogreode/OgreOdeJoint.h	(revision 1923)
@@ -3,5 +3,5 @@
 
 #include "OgreOdePreReqs.h"
-#include "OgreOdeMaintainedList.h"
+#include <OgreVector3.h>
 
 namespace OgreOde 
Index: /code/branches/physics/src/ogreode/OgreOdeMass.cpp
===================================================================
--- /code/branches/physics/src/ogreode/OgreOdeMass.cpp	(revision 1922)
+++ /code/branches/physics/src/ogreode/OgreOdeMass.cpp	(revision 1923)
@@ -1,7 +1,8 @@
+#include "OgreOdePrecompiledHeaders.h"
+#include "OgreOdeMass.h"
 
-#include "OgreOdePrecompiledHeaders.h"
-
-#include "OgreOdePreReqs.h"
-#include "OgreOdeMass.h"
+#include <OgreMatrix3.h>
+#include <OgreVector3.h>
+#include <OgreQuaternion.h>
 
 using namespace OgreOde;
Index: /code/branches/physics/src/ogreode/OgreOdePreReqs.h
===================================================================
--- /code/branches/physics/src/ogreode/OgreOdePreReqs.h	(revision 1922)
+++ /code/branches/physics/src/ogreode/OgreOdePreReqs.h	(revision 1923)
@@ -2,27 +2,25 @@
 #define _OGREODEPREREQS_H_
 
-#include "Ogre.h"
-#include "OgreNoMemoryMacros.h"
+// we have to include the entire ode.h because the config file can either be
+// config.h or odeconfig.h and it takes these files to determine the version
+// in the first place.
 #include "ode/ode.h"
-#include "OgreMemoryMacros.h"
+#include <OgrePrerequisites.h>
 
-
-namespace OgreOde 
-{
-    #if OGRE_PLATFORM == OGRE_PLATFORM_WIN32
-    #   if defined( OGREODE_EXPORTS )
-    #       define _OgreOdeExport __declspec( dllexport )
-    #   else
-    #       if defined( __MINGW32__ )
-    #           define _OgreOdeExport
-    #       else
-    #           define _OgreOdeExport __declspec(dllimport)
-    #       endif
-    #   endif
-    #elif defined ( OGRE_GCC_VISIBILITY )
-    #   define _OgreOdeExport  __attribute__ ((visibility("default")))
-    #else
-    #   define _OgreOdeExport
-    #endif
+#if OGRE_PLATFORM == OGRE_PLATFORM_WIN32
+#   if defined( OGREODE_EXPORTS )
+#       define _OgreOdeExport __declspec( dllexport )
+#   else
+#       if defined( __MINGW32__ )
+#           define _OgreOdeExport
+#       else
+#           define _OgreOdeExport __declspec(dllimport)
+#       endif
+#   endif
+#elif defined ( OGRE_GCC_VISIBILITY )
+#   define _OgreOdeExport  __attribute__ ((visibility("default")))
+#else
+#   define _OgreOdeExport
+#endif
 
 // determine ODE version. In 0.10 and following, ODE uses odeconfig.h in the headers and
@@ -36,14 +34,22 @@
 
 
+namespace OgreOde 
+{
 #if ODE_VERSION_MINOR < 10
 #  ifndef dTriIndex
 #    if dTRIMESH_16BIT_INDICES
 #      if dTRIMESH_GIMPACT
-	     typedef uint32 dTriIndex;
+
+    typedef uint32 dTriIndex;
+
 #      else // dTRIMESH_GIMPACT
-	     typedef uint16 dTriIndex;
+
+    typedef uint16 dTriIndex;
+
 #      endif // dTRIMESH_GIMPACT
 #    else // dTRIMESH_16BIT_INDICES
-	   typedef int dTriIndex;
+
+    typedef int dTriIndex;
+
 #    endif // dTRIMESH_16BIT_INDICES
 #  endif
Index: /code/branches/physics/src/ogreode/OgreOdePrecompiledHeaders.h
===================================================================
--- /code/branches/physics/src/ogreode/OgreOdePrecompiledHeaders.h	(revision 1922)
+++ /code/branches/physics/src/ogreode/OgreOdePrecompiledHeaders.h	(revision 1923)
@@ -4,25 +4,50 @@
 #ifdef _PRECOMP
 
+// external headers
+#include <ode/ode.h>
+
+#include <OgreSceneNode.h>
+#include <OgreEntity.h>
+#include <OgreSceneNode.h>
+#include <OgreRoot.h>
+#include <OgreSceneManager.h>
+#include <OgreEntity.h>
+#include <OgreSceneManager.h>
+#include <OgreSceneNode.h>
+#include <OgreSceneManager.h>
+#include <OgreSceneNode.h>
+#include <OgreRoot.h>
+#include <OgreSceneNode.h>
+#include <OgreAxisAlignedBox.h>
+#include <OgreCamera.h>
+#include <OgreMovableObject.h>
+#include <OgreSceneQuery.h>
+#include <OgreStringConverter.h>
+#include <OgreUserDefinedObject.h>
+#include <OgreRenderable.h>
+#include <OgreSimpleRenderable.h>
+#include <OgreMesh.h>
+#include <OgreFrameListener.h>
+
+// our own headers
 #include "OgreOdePreReqs.h"
-#include "OgreOdeWorld.h"
+
 #include "OgreOdeBody.h"
+#include "OgreOdeCollision.h"
+#include "OgreOdeDebugContact.h"
+#include "OgreOdeDebugObject.h"
+#include "OgreOdeEigenSolver.h"
+#include "OgreOdeEntityInformer.h"
+#include "OgreOdeGeometry.h"
+#include "OgreOdeJoint.h"
+#include "OgreOdeMaintainedList.h"
 #include "OgreOdeMass.h" 
-#include "OgreOdeJoint.h"
 #include "OgreOdeSpace.h"
-#include "OgreOdeGeometry.h"
-#include "OgreOdeCollision.h"
 #include "OgreOdeStepper.h"
-
-#include "OgreOdeEntityInformer.h"
-
-
-#include "OgreOdeEigenSolver.h"
 #include "OgreOdeUtility.h"
-
-#include "OgreOdeDebugObject.h"
-#include "OgreOdeDebugContact.h"
-
 #include "OgreOdeTriangleMeshData.h"
 #include "OgreOdeTriangleMeshDataManager.h"
+#include "OgreOdeUtility.h"
+#include "OgreOdeWorld.h"
 
 #endif //_PRECOMP
Index: /code/branches/physics/src/ogreode/OgreOdeSpace.cpp
===================================================================
--- /code/branches/physics/src/ogreode/OgreOdeSpace.cpp	(revision 1922)
+++ /code/branches/physics/src/ogreode/OgreOdeSpace.cpp	(revision 1923)
@@ -1,10 +1,10 @@
-
 #include "OgreOdePrecompiledHeaders.h"
+#include "OgreOdeSpace.h"
+
+#include <OgreSceneManager.h>
 
 #include "OgreOdeBody.h"
-#include "OgreOdeSpace.h"
 #include "OgreOdeGeometry.h"
 #include "OgreOdeWorld.h"
-
 #include "OgreOdeCollision.h"
 
Index: /code/branches/physics/src/ogreode/OgreOdeSpace.h
===================================================================
--- /code/branches/physics/src/ogreode/OgreOdeSpace.h	(revision 1922)
+++ /code/branches/physics/src/ogreode/OgreOdeSpace.h	(revision 1923)
@@ -3,5 +3,5 @@
 
 #include "OgreOdePreReqs.h"
-#include "OgreOdeMaintainedList.h"
+#include <OgreAxisAlignedBox.h>
 
 namespace OgreOde 
Index: /code/branches/physics/src/ogreode/OgreOdeStepper.cpp
===================================================================
--- /code/branches/physics/src/ogreode/OgreOdeStepper.cpp	(revision 1922)
+++ /code/branches/physics/src/ogreode/OgreOdeStepper.cpp	(revision 1923)
@@ -1,10 +1,10 @@
-
 #include "OgreOdePrecompiledHeaders.h"
+#include "OgreOdeStepper.h"
+
+#include <OgreRoot.h>
 
 #include "OgreOdeGeometry.h"
 #include "OgreOdeBody.h"
-#include "OgreOdeWorld.h"
 #include "OgreOdeSpace.h"
-#include "OgreOdeStepper.h"
 
 using namespace OgreOde;
Index: /code/branches/physics/src/ogreode/OgreOdeStepper.h
===================================================================
--- /code/branches/physics/src/ogreode/OgreOdeStepper.h	(revision 1922)
+++ /code/branches/physics/src/ogreode/OgreOdeStepper.h	(revision 1923)
@@ -3,4 +3,7 @@
 
 #include "OgreOdePreReqs.h"
+
+#include <OgreFrameListener.h>
+#include "OgreOdeWorld.h"
 
 namespace OgreOde 
Index: /code/branches/physics/src/ogreode/OgreOdeTriangleMeshData.cpp
===================================================================
--- /code/branches/physics/src/ogreode/OgreOdeTriangleMeshData.cpp	(revision 1922)
+++ /code/branches/physics/src/ogreode/OgreOdeTriangleMeshData.cpp	(revision 1923)
@@ -1,13 +1,3 @@
-
 #include "OgreOdePrecompiledHeaders.h"
-
-#include "OgreOdeGeometry.h"
-#include "OgreOdeWorld.h"
-#include "OgreOdeSpace.h"
-#include "OgreOdeBody.h"
-#include "OgreOdeCollision.h"
-#include "OgreOdeDebugObject.h"
-#include "OgreOdeDebugContact.h"
-
 #include "OgreOdeTriangleMeshData.h"
 
Index: /code/branches/physics/src/ogreode/OgreOdeTriangleMeshData.h
===================================================================
--- /code/branches/physics/src/ogreode/OgreOdeTriangleMeshData.h	(revision 1922)
+++ /code/branches/physics/src/ogreode/OgreOdeTriangleMeshData.h	(revision 1923)
@@ -2,10 +2,8 @@
 #define __OgreOdeTriangleMeshData_H__
 
-#include <Ogre.h>
+#include "OgreOdePreReqs.h"
 
-#include "OgreOdePreReqs.h"
-#include "OgreOdeMaintainedList.h"
-
-using namespace std;
+#include <OgreSharedPtr.h>
+#include <OgreVector3.h>
 
 namespace OgreOde
Index: /code/branches/physics/src/ogreode/OgreOdeTriangleMeshDataManager.cpp
===================================================================
--- /code/branches/physics/src/ogreode/OgreOdeTriangleMeshDataManager.cpp	(revision 1922)
+++ /code/branches/physics/src/ogreode/OgreOdeTriangleMeshDataManager.cpp	(revision 1923)
@@ -1,5 +1,6 @@
 #include "OgreOdePrecompiledHeaders.h"
+#include "OgreOdeTriangleMeshDataManager.h"
 
-#include "OgreOdeTriangleMeshDataManager.h"
+#include "OgreOdeTriangleMeshData.h"
 
 using namespace Ogre;
Index: /code/branches/physics/src/ogreode/OgreOdeTriangleMeshDataManager.h
===================================================================
--- /code/branches/physics/src/ogreode/OgreOdeTriangleMeshDataManager.h	(revision 1922)
+++ /code/branches/physics/src/ogreode/OgreOdeTriangleMeshDataManager.h	(revision 1923)
@@ -2,10 +2,9 @@
 #define __OgreOdeTriangleMeshDataManager_H__
 
-#include <Ogre.h>
+#include "OgreOdePreReqs.h"
 
-#include "OgreOdePreReqs.h"
-#include "OgreOdeTriangleMeshData.h"
-
-using namespace std;
+#include <map>
+#include <OgreSingleton.h>
+#include <OgreVector3.h>
 
 namespace OgreOde
@@ -33,5 +32,5 @@
 	public:
 	
-		typedef map<Ogre::String, map<Ogre::Vector3, TriangleMeshDataPtr, vectorLess > > TriangleMeshDataPtrMap;
+        typedef std::map<Ogre::String, std::map<Ogre::Vector3, TriangleMeshDataPtr, vectorLess > > TriangleMeshDataPtrMap;
 
 		/** 
Index: /code/branches/physics/src/ogreode/OgreOdeUtility.cpp
===================================================================
--- /code/branches/physics/src/ogreode/OgreOdeUtility.cpp	(revision 1922)
+++ /code/branches/physics/src/ogreode/OgreOdeUtility.cpp	(revision 1923)
@@ -1,5 +1,3 @@
-
 #include "OgreOdePrecompiledHeaders.h"
-
 #include "OgreOdeUtility.h"
 
Index: /code/branches/physics/src/ogreode/OgreOdeWorld.cpp
===================================================================
--- /code/branches/physics/src/ogreode/OgreOdeWorld.cpp	(revision 1922)
+++ /code/branches/physics/src/ogreode/OgreOdeWorld.cpp	(revision 1923)
@@ -1,11 +1,11 @@
-
 #include "OgreOdePrecompiledHeaders.h"
-
 #include "OgreOdeWorld.h"
+
+#include <OgreSceneNode.h>
+#include <OgreMovableObject.h>
+
 #include "OgreOdeBody.h"
-#include "OgreOdeJoint.h"
 #include "OgreOdeGeometry.h"
 #include "OgreOdeSpace.h"
-#include "OgreOdeDebugObject.h"
 
 using namespace OgreOde;
Index: /code/branches/physics/src/ogreode/OgreOdeWorld.h
===================================================================
--- /code/branches/physics/src/ogreode/OgreOdeWorld.h	(revision 1922)
+++ /code/branches/physics/src/ogreode/OgreOdeWorld.h	(revision 1923)
@@ -3,8 +3,13 @@
 
 #include "OgreOdePreReqs.h"
+
+#include <map>
+#include <OgreVector3.h>
+
 #include "OgreOdeMaintainedList.h"
-#include "OgreSingleton.h"
-
-#include <map>
+#include "OgreOdeBody.h"
+#include "OgreOdeJoint.h"
+#include "OgreOdeGeometry.h"
+#include "OgreOdeSpace.h"
 
 namespace OgreOde 