Index: code/branches/objecthierarchy/src/orxonox/gamestates/GSClient.cc
===================================================================
--- code/branches/objecthierarchy/src/orxonox/gamestates/GSClient.cc	(revision 1942)
+++ code/branches/objecthierarchy/src/orxonox/gamestates/GSClient.cc	(revision 1949)
@@ -32,6 +32,6 @@
 #include "core/input/InputManager.h"
 #include "core/CommandLine.h"
+#include "core/Core.h"
 #include "network/Client.h"
-#include "Settings.h"
 
 namespace orxonox
@@ -51,5 +51,5 @@
     void GSClient::enter()
     {
-        Settings::_getInstance().setIsClient(true);
+        Core::setIsClient(true);
 
         GSLevel::enter();
@@ -81,5 +81,5 @@
         GSLevel::leave();
 
-        Settings::_getInstance().setIsClient(false);
+        Core::setIsClient(false);
     }
 
Index: code/branches/objecthierarchy/src/orxonox/gamestates/GSDedicated.cc
===================================================================
--- code/branches/objecthierarchy/src/orxonox/gamestates/GSDedicated.cc	(revision 1942)
+++ code/branches/objecthierarchy/src/orxonox/gamestates/GSDedicated.cc	(revision 1949)
@@ -35,8 +35,9 @@
 #include "core/CommandLine.h"
 #include "core/Loader.h"
+#include "core/Core.h"
 #include "network/Server.h"
 #include "objects/Tickable.h"
+#include "Settings.h"
 #include "GraphicsEngine.h"
-#include "Settings.h"
 
 namespace orxonox
@@ -57,5 +58,5 @@
     void GSDedicated::enter()
     {
-        Settings::_getInstance().setHasServer(true);
+        Core::setHasServer(true);
 
         // create Ogre SceneManager for the level
@@ -97,5 +98,5 @@
         Ogre::Root::getSingleton().destroySceneManager(this->sceneManager_);
 
-        Settings::_getInstance().setHasServer(false);
+        Core::setHasServer(false);
     }
 
Index: code/branches/objecthierarchy/src/orxonox/gamestates/GSGraphics.cc
===================================================================
--- code/branches/objecthierarchy/src/orxonox/gamestates/GSGraphics.cc	(revision 1942)
+++ code/branches/objecthierarchy/src/orxonox/gamestates/GSGraphics.cc	(revision 1949)
@@ -47,4 +47,5 @@
 #include "core/ConfigValueIncludes.h"
 #include "core/CoreIncludes.h"
+#include "core/Core.h"
 #include "core/input/InputManager.h"
 #include "core/input/KeyBinder.h"
@@ -101,5 +102,5 @@
     void GSGraphics::enter()
     {
-        Settings::_getInstance().setShowsGraphics(true);
+        Core::setShowsGraphics(true);
 
         // initialise graphics engine. Doesn't load the render window yet!
@@ -196,5 +197,5 @@
         delete graphicsEngine_;
 
-        Settings::_getInstance().setShowsGraphics(false);
+        Core::setShowsGraphics(false);
     }
 
Index: code/branches/objecthierarchy/src/orxonox/gamestates/GSLevel.cc
===================================================================
--- code/branches/objecthierarchy/src/orxonox/gamestates/GSLevel.cc	(revision 1942)
+++ code/branches/objecthierarchy/src/orxonox/gamestates/GSLevel.cc	(revision 1949)
@@ -44,6 +44,6 @@
 #include "objects/Radar.h"
 //#include "tools/ParticleInterface.h"
+#include "GraphicsEngine.h"
 #include "Settings.h"
-#include "GraphicsEngine.h"
 
 namespace orxonox
Index: code/branches/objecthierarchy/src/orxonox/gamestates/GSServer.cc
===================================================================
--- code/branches/objecthierarchy/src/orxonox/gamestates/GSServer.cc	(revision 1942)
+++ code/branches/objecthierarchy/src/orxonox/gamestates/GSServer.cc	(revision 1949)
@@ -33,6 +33,6 @@
 #include "core/input/InputManager.h"
 #include "core/CommandLine.h"
+#include "core/Core.h"
 #include "network/Server.h"
-#include "Settings.h"
 
 namespace orxonox
@@ -52,5 +52,5 @@
     void GSServer::enter()
     {
-        Settings::_getInstance().setHasServer(true);
+        Core::setHasServer(true);
 
         GSLevel::enter();
@@ -86,5 +86,5 @@
         GSLevel::leave();
 
-        Settings::_getInstance().setHasServer(false);
+        Core::setHasServer(false);
     }
 
Index: code/branches/objecthierarchy/src/orxonox/gamestates/GSStandalone.cc
===================================================================
--- code/branches/objecthierarchy/src/orxonox/gamestates/GSStandalone.cc	(revision 1942)
+++ code/branches/objecthierarchy/src/orxonox/gamestates/GSStandalone.cc	(revision 1949)
@@ -32,5 +32,5 @@
 #include "core/input/InputManager.h"
 #include "core/ConsoleCommand.h"
-#include "Settings.h"
+#include "core/Core.h"
 
 namespace orxonox
@@ -59,5 +59,5 @@
         InputManager::getInstance().requestEnterState("game");
 
-        Settings::_getInstance().setIsStandalone(true);
+        Core::setIsStandalone(true);
     }
 
@@ -72,5 +72,5 @@
         GSLevel::leave();
 
-        Settings::_getInstance().setIsStandalone(false);
+        Core::setIsStandalone(false);
     }
 